std::bit_and(3)

NAME
std::bit_and - std::bit_and

Synopsis
   Defined in header <functional>
   template<> (since C++14)
   class bit_and<void>;
   std::bit_and<void> is a specialization of std::bit_and with parameter and return
   type deduced.

Member functions
   operator() applies operator& to lhs and rhs
              (public member function) std::bit_and<void>::operator()
   template< class T, class U >
   constexpr auto operator()( T&& lhs, U&& rhs ) const
       -> decltype(std::forward<T>(lhs) & std::forward<U>(rhs));
   Returns the result of std::forward<T>(lhs) & std::forward<U>(rhs).

Parameters
   lhs, rhs - values to bitwise AND

Return value
   std::forward<T>(lhs) & std::forward<U>(rhs).

Example
    This section is incomplete
    Reason: no example

Category:
     * Todo no example